Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.density
Class ParzenDensity<T>

    java.lang.Object
      fr.lip6.density.ParzenDensity<T>

Type Parameters:
  `T` - Elements of input space

All Implemented Interfaces:
  DensityFunction<T>, java.io.Serializable

    public class ParzenDensity<T>

extends java.lang.Object
implements DensityFunction<T>, java.io.Serializable

Parzen window for estimating the probability density function of a random variable.

Author:
  dpicard
See Also:
  Serialized Form

Constructor Summary
`ParzenDensity(Kernel<T> kernel)`

Method Summary
`void` | `train(java.util.ArrayList<T> e)` Entraîne l'estimateur de densité sur l'ensemble d'apprentissage fourni en argument.
`void` | `train(T e)` ajoute un exemple à l'ensemble d'apprentissage et ré-entraîne l'estimateur.
`double` | `valueOf(T e)` proba of being related to the underlying density

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParzenDensity

    public ParzenDensity(Kernel<T> kernel)

Method Detail

### train

    public void train(T e)

  Description copied from interface: `DensityFunction`
  ajoute un exemple à l'ensemble d'apprentissage et ré-entraîne l'estimateur.

  Specified by:
    `train` in interface `DensityFunction<T>`
  Parameters:
    `e` - l'exemple à ajouter à l'ensemble d'apprentissage

### train

    public void train(java.util.ArrayList<T> e)

  Description copied from interface: `DensityFunction`
  Entraîne l'estimateur de densité sur l'ensemble d'apprentissage fourni en argument.

  Specified by:
    `train` in interface `DensityFunction<T>`
  Parameters:
    `e` - l'ensemble d'apprentissage sur lequel entraîner l'estimateur.

### valueOf

    public double valueOf(T e)

  Description copied from interface: `DensityFunction`
  proba of being related to the underlying density

  Specified by:
    `valueOf` in interface `DensityFunction<T>`
  Parameters:
    `e` - exemple a traiter
  Returns:
    valeur de la fonction de densité pour l'élément donné.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD